org.apache.hc.client5.http.auth

## Class KerberosConfig

- java.lang.Object
- - org.apache.hc.client5.http.auth.KerberosConfig

All Implemented Interfaces:
  Cloneable

Deprecated.
Do not use. The GGS based experimental authentication schemes are no longer supported. Consider using Basic or Bearer authentication with TLS instead.

    @Deprecated
     @Contract(threading=IMMUTABLE)
    public class KerberosConfig
    extends Object
    implements Cloneable

Immutable class encapsulating Kerberos configuration options.

Since:
  4.6

### Nested Class Summary

Nested Classes
`static class` `KerberosConfig.Builder` Deprecated.
`static class` `KerberosConfig.Option` Deprecated.

### Field Summary

Fields
`static KerberosConfig` `DEFAULT` Deprecated.

### Constructor Summary

Constructors
`protected` `KerberosConfig()` Deprecated. Intended for CDI compatibility

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`protected KerberosConfig` `clone()` Deprecated.
`static KerberosConfig.Builder` `copy(KerberosConfig config)` Deprecated.
`static KerberosConfig.Builder` `custom()` Deprecated.
`KerberosConfig.Option` `getRequestDelegCreds()` Deprecated.
`KerberosConfig.Option` `getStripPort()` Deprecated.
`KerberosConfig.Option` `getUseCanonicalHostname()` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final KerberosConfig DEFAULT

Deprecated.

### Constructor Detail

#### KerberosConfig

    protected KerberosConfig()

Deprecated.
Intended for CDI compatibility

### Method Detail

#### getStripPort

    public KerberosConfig.Option getStripPort()

Deprecated.

#### getUseCanonicalHostname

    public KerberosConfig.Option getUseCanonicalHostname()

Deprecated.

#### getRequestDelegCreds

    public KerberosConfig.Option getRequestDelegCreds()

Deprecated.

#### clone

    protected KerberosConfig clone()
                            throws CloneNotSupportedException

Deprecated.

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

#### custom

    public static KerberosConfig.Builder custom()

Deprecated.

#### copy

    public static KerberosConfig.Builder copy(KerberosConfig config)

Deprecated.